summaryrefslogtreecommitdiff
path: root/gold/testsuite/ver_test_14.sh
diff options
context:
space:
mode:
Diffstat (limited to 'gold/testsuite/ver_test_14.sh')
-rwxr-xr-xgold/testsuite/ver_test_14.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/gold/testsuite/ver_test_14.sh b/gold/testsuite/ver_test_14.sh
new file mode 100755
index 00000000000..73a0e08085a
--- /dev/null
+++ b/gold/testsuite/ver_test_14.sh
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+# ver_test_14.sh -- a test case for version scripts
+
+# Copyright (C) 2018 Free Software Foundation, Inc.
+# Written by Cary Coutant <ccoutant@gmail.com>.
+
+# This file is part of gold.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston,
+# MA 02110-1301, USA.
+
+check()
+{
+ if ! grep -q "$2" "$1"
+ then
+ echo "Did not find expected symbol in $1:"
+ echo " $2"
+ echo ""
+ echo "Actual output below:"
+ cat "$1"
+ exit 1
+ fi
+}
+
+check ver_test_14.syms "V1 *t2()$"
+check ver_test_14.syms "V1 *t3()$"
+check ver_test_14.syms "V1 *t4()$"
+check ver_test_14.syms "Base *t4_2a$"
+
+exit 0